Itcl_CreateClass(3)

NAME
Itcl_CreateClass, Itcl_DeleteClass, Itcl_FindClass, Itcl_IsClass, Itcl_IsClassNamespace - Manipulate classes.

SYNOPSIS
#include <itclInt.h>
int
Itcl_CreateClass(interp, path, info, rPtr)
int
Itcl_DeleteClass(interp, cdefnPtr)
ItclClass *
Itcl_FindClass(interp, path, autoload)
int
Itcl_IsClass(cmd)
int
Itcl_IsClassNamespace(namesp)

ARGUMENTS
Interpreter to modify. Path of the class. TODO. The address of the pointer to modify. Pointer to class info struct. Flag value for if the class should be autoloaded Command to check. Namespace to check.

DESCRIPTION

KEYWORDS
class, find